KSTAT_IRQS_USR(9)

NAME
kstat_irqs_usr - Get the statistics for an interrupt

SYNOPSIS

unsigned int kstat_irqs_usr(unsigned int irq);

ARGUMENTS

irq
    The interrupt number

DESCRIPTION

Returns the sum of interrupt counts on all cpus since boot for irq. Contrary to kstat_irqs this can be called from any preemptible context. It's protected against concurrent removal of an interrupt descriptor when sparse irqs are enabled.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT